---

apiVersion: certificates.k8s.io/v1
kind: CertificateSigningRequest
metadata:
  name: vault.csr
spec:
  groups:
    - system:authenticated
  signerName: kubernetes.io/kube-apiserver-client
  request: {{ csr_data }}
  usages:
    - digital signature
    - key encipherment
    - server auth
